> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a datapoint on an event

> Adds a datapoint to an event. An event can be associated with multiple datapoints.



## OpenAPI

````yaml POST /projects/{project_id}/events/{event_id}/data_points
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/events/{event_id}/data_points:
    post:
      summary: Create and add a datapoint to an event
      description: >-
        Adds a datapoint to an event. An event can be associated with multiple
        datapoints.
      operationId: create-and-add-an-evidence-file-to-an-event-copy
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: event_id
          in: path
          description: >-
            Unique ID of event in the `evt_XXXX` syntax. For example:
            `evt_DLnYvzbjSujNAvXE`
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data_point:
                  type: object
                  properties:
                    slug:
                      type: string
                    value:
                      type: string
                      description: Value must match the datatype of this DataPointType
            examples:
              Request Example:
                value:
                  data_point:
                    slug: total-ash-delivered-wet-us-ton
                    value: 290.8
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: in_n6MQpY00dN6bMaKi
                    slug: total-ash-delivered-wet-us-ton
                    data_point_type: Total Ash Delivered (wet mass) U.S. ton
                    value: 290.8
                    unit: U.S. ton
                    status: complete
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: in_n6MQpY00dN6bMaKi
                  slug:
                    type: string
                    example: total-ash-delivered-wet-us-ton
                  data_point_type:
                    type: string
                    example: Total Ash Delivered (wet mass) U.S. ton
                  value:
                    type: number
                    example: 290.8
                    default: 0
                  unit:
                    type: string
                    example: U.S. ton
                  status:
                    type: string
                    example: complete
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value: ''
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````